import { AuthRepository } from '@app/domain/authentification/auth.repository';

export class VerifyAuthenticatedUsecase {
  constructor(private readonly authRepo: AuthRepository) {}
  execute(): boolean {
    return this.authRepo.isAuthenticated();
  }
}
